<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: multi_domain_defs_m::md_trg_pt_list_t Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacemulti__domain__defs__m.html">multi_domain_defs_m</a></li><li class="navelem"><a class="el" href="structmulti__domain__defs__m_1_1md__trg__pt__list__t.html">md_trg_pt_list_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmulti__domain__defs__m_1_1md__trg__pt__list__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">multi_domain_defs_m::md_trg_pt_list_t Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for multi_domain_defs_m::md_trg_pt_list_t:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structmulti__domain__defs__m_1_1md__trg__pt__list__t__coll__graph.png" border="0" usemap="#multi__domain__defs__m_1_1md__trg__pt__list__t_coll__map" alt="Collaboration graph"/></div>
<map name="multi__domain__defs__m_1_1md__trg__pt__list__t_coll__map" id="multi__domain__defs__m_1_1md__trg__pt__list__t_coll__map">
<area shape="rect" id="node2" href="structmulti__domain__defs__m_1_1md__trg__point__t.html" title="{multi_domain_defs_m\l::md_trg_point_t\n|+ x\l+ i\l+ j\l+ k\l+ data_type\l+ depth\l+ update\l+ src_irank\l+ src_part_sid\l+ index_trg_pt\land 6 more...\l|}" alt="" coords="41,447,191,685"/>
<area shape="rect" id="node3" href="structmulti__domain__defs__m_1_1part__info__list__t.html" title="{multi_domain_defs_m\l::part_info_list_t\n||}" alt="" coords="171,292,320,384"/>
<area shape="rect" id="node4" href="structmulti__domain__defs__m_1_1partition__info__t.html" title="{multi_domain_defs_m\l::partition_info_t\n|+ x_min\l+ x_max\l+ dx\l+ x_ref\l+ op\l+ op_i0\l+ domain\l+ sid\l+ irank\l+ sid_under_domain\l|}" alt="" coords="5,5,155,229"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a89f8d812f416f519bca6a471d994b7cc"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structmulti__domain__defs__m_1_1md__trg__point__t.html">md_trg_point_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmulti__domain__defs__m_1_1md__trg__pt__list__t.html#a89f8d812f416f519bca6a471d994b7cc">d</a> =&gt; null()</td></tr>
<tr class="separator:a89f8d812f416f519bca6a471d994b7cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a89f8d812f416f519bca6a471d994b7cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89f8d812f416f519bca6a471d994b7cc">&#9670;&nbsp;</a></span>d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structmulti__domain__defs__m_1_1md__trg__point__t.html">md_trg_point_t</a>), pointer multi_domain_defs_m::md_trg_pt_list_t::d =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="multi__domain__defs__m_8f90.html">multi_domain_defs_m.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
